### A free/open-source library for quantitative finance

Public Member Functions
AnalyticCapFloorEngine Class Reference
Cap/floor engines

Analytic engine for cap/floor. More...

`#include <ql/pricingengines/capfloor/analyticcapfloorengine.hpp>`

Inheritance diagram for AnalyticCapFloorEngine:
[legend]

List of all members.

## Public Member Functions

| AnalyticCapFloorEngine (const boost::shared_ptr< AffineModel > &model, const Handle< YieldTermStructure > &termStructure=Handle< YieldTermStructure >())
void | calculate () const

## Detailed Description

Analytic engine for cap/floor.

## Constructor & Destructor Documentation

AnalyticCapFloorEngine | ( | const boost::shared_ptr< AffineModel > & | model,
|  | const Handle< YieldTermStructure > & | termStructure = `Handle< YieldTermStructure >()`
| ) |  |

Note:
  the term structure is only needed when the short-rate model cannot provide one itself.